<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="fcbdd522f3c413ce" weblate-flags="read-only">
        <source>Examples</source>
        <target state="translated">Examples</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3b0cbf4ec182b5db" weblate-flags="read-only">
        <source>Source code and build scripts for these programs are located in the [path_link example example] directory.</source>
        <target state="translated">Source code and build scripts for these programs are located in the [path_link example example] directory.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">13</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="26598295302fedb5" weblate-flags="read-only">
        <source>Clients</source>
        <target state="translated">Clients</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">18</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6befe9eaae7499dc" weblate-flags="read-only">
        <source>These HTTP clients submit a GET request to a server specified on the command line, and prints the resulting response. The crawl client asynchronously fetches the document root of the 10,000 top ranked domains, this may be used to evaluate robustness. All asynchronous clients support timeouts.</source>
        <target state="translated">These HTTP clients submit a GET request to a server specified on the command line, and prints the resulting response. The crawl client asynchronously fetches the document root of the 10,000 top ranked domains, this may be used to evaluate robustness. All asynchronous clients support timeouts.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">20</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25" weblate-flags="read-only">
        <source>HTTP, synchronous</source>
        <target state="translated">HTTP, synchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8fd20397e7bf7eeb" weblate-flags="read-only">
        <source>[path_link example/http/client/sync/http_client_sync.cpp http_client_sync.cpp]</source>
        <target state="translated">[path_link example/http/client/sync/http_client_sync.cpp http_client_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef979f67f54b0c1d" weblate-flags="read-only">
        <source>[path_link example/http/client/sync-ssl/http_client_sync_ssl.cpp http_client_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/sync-ssl/http_client_sync_ssl.cpp http_client_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25" weblate-flags="read-only">
        <source>HTTP, asynchronous</source>
        <target state="translated">HTTP, asynchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0d72a305bc19ce31" weblate-flags="read-only">
        <source>[path_link example/http/client/async/http_client_async.cpp http_client_async.cpp]</source>
        <target state="translated">[path_link example/http/client/async/http_client_async.cpp http_client_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="180996947bdafb3e" weblate-flags="read-only">
        <source>[path_link example/http/client/async-ssl/http_client_async_ssl.cpp http_client_async_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/async-ssl/http_client_async_ssl.cpp http_client_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25" weblate-flags="read-only">
        <source>HTTP, asynchronous Unix domain sockets</source>
        <target state="translated">HTTP, asynchronous Unix domain sockets</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd29a99aaa364ff7" weblate-flags="read-only">
        <source>[path_link example/http/client/async-local/http_client_async_local.cpp http_client_async_local.cpp]</source>
        <target state="translated">[path_link example/http/client/async-local/http_client_async_local.cpp http_client_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="16cd28859fb9c89e" weblate-flags="read-only">
        <source>HTTP, asynchronous using __system_executor__</source>
        <target state="translated">HTTP, asynchronous using __system_executor__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="812fe4fd21cf8e6e" weblate-flags="read-only">
        <source>[path_link example/http/client/async-ssl-system-executor/http_client_async_ssl_system_executor.cpp http_client_async_ssl_system_executor.cpp]</source>
        <target state="translated">[path_link example/http/client/async-ssl-system-executor/http_client_async_ssl_system_executor.cpp http_client_async_ssl_system_executor.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25" weblate-flags="read-only">
        <source>HTTP, coroutine</source>
        <target state="translated">HTTP, coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d8f31547ec586fca" weblate-flags="read-only">
        <source>[path_link example/http/client/coro/http_client_coro.cpp http_client_coro.cpp]</source>
        <target state="translated">[path_link example/http/client/coro/http_client_coro.cpp http_client_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e9ef4aa49bebcab" weblate-flags="read-only">
        <source>[path_link example/http/client/coro-ssl/http_client_coro_ssl.cpp http_client_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/coro-ssl/http_client_coro_ssl.cpp http_client_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b7b92a769b276f8c" weblate-flags="read-only">
        <source>HTTP, C++20 coroutine</source>
        <target state="translated">HTTP, C++20 coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1a0634fa5048c967" weblate-flags="read-only">
        <source>[path_link example/http/client/awaitable/http_client_awaitable.cpp http_client_awaitable.cpp]</source>
        <target state="translated">[path_link example/http/client/awaitable/http_client_awaitable.cpp http_client_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a0817c4032626932" weblate-flags="read-only">
        <source>[path_link example/http/client/awaitable-ssl/http_client_awaitable_ssl.cpp http_client_awaitable_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/awaitable-ssl/http_client_awaitable_ssl.cpp http_client_awaitable_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="23ba197c0ba94260" weblate-flags="read-only">
        <source>HTTP crawl (asynchronous)</source>
        <target state="translated">HTTP crawl (asynchronous)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="178625fbd68a4c49" weblate-flags="read-only">
        <source>[path_link example/http/client/crawl/http_crawl.cpp http_crawl.cpp]</source>
        <target state="translated">[path_link example/http/client/crawl/http_crawl.cpp http_crawl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c05033a14374d6b" weblate-flags="read-only">
        <source>HTTP json_body (synchronous)</source>
        <target state="translated">HTTP json_body (synchronous)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b152437ebaa2926" weblate-flags="read-only">
        <source>[path_link example/http/client/body/json_body.hpp json_body.hpp] [path_link example/http/client/body/json_client.cpp json_client.cpp]</source>
        <target state="translated">[path_link example/http/client/body/json_body.hpp json_body.hpp] [path_link example/http/client/body/json_client.cpp json_client.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="68edbc9685549001" weblate-flags="read-only">
        <source>HTTP client for all methods (synchronous)</source>
        <target state="translated">HTTP client for all methods (synchronous)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ccc6daaef8e6bc33" weblate-flags="read-only">
        <source>[path_link example/http/client/methods/http_client_methods.cpp http_client_methods.cpp]</source>
        <target state="translated">[path_link example/http/client/methods/http_client_methods.cpp http_client_methods.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8c03d0ce1888067c" weblate-flags="read-only">
        <source>These WebSocket clients connect to a server and send a message, then receive a message and print the response before disconnecting. All asynchronous clients support timeouts.</source>
        <target state="translated">These WebSocket clients connect to a server and send a message, then receive a message and print the response before disconnecting. All asynchronous clients support timeouts.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">68</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72" weblate-flags="read-only">
        <source>WebSocket, synchronous</source>
        <target state="translated">WebSocket, synchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6612c94121818e70" weblate-flags="read-only">
        <source>[path_link example/websocket/client/sync/websocket_client_sync.cpp websocket_client_sync.cpp]</source>
        <target state="translated">[path_link example/websocket/client/sync/websocket_client_sync.cpp websocket_client_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ab0616f4a182449" weblate-flags="read-only">
        <source>[path_link example/websocket/client/sync-ssl/websocket_client_sync_ssl.cpp websocket_client_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/client/sync-ssl/websocket_client_sync_ssl.cpp websocket_client_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72" weblate-flags="read-only">
        <source>WebSocket, asynchronous</source>
        <target state="translated">WebSocket, asynchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b7fc3f9b8c2c0627" weblate-flags="read-only">
        <source>[path_link example/websocket/client/async/websocket_client_async.cpp websocket_client_async.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async/websocket_client_async.cpp websocket_client_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f30bec7cda187648" weblate-flags="read-only">
        <source>[path_link example/websocket/client/async-ssl/websocket_client_async_ssl.cpp websocket_client_async_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async-ssl/websocket_client_async_ssl.cpp websocket_client_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72" weblate-flags="read-only">
        <source>WebSocket, asynchronous Unix domain sockets</source>
        <target state="translated">WebSocket, asynchronous Unix domain sockets</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4f1d133f73bd6994" weblate-flags="read-only">
        <source>[path_link example/websocket/client/async-local/websocket_client_async_local.cpp websocket_client_async_local.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async-local/websocket_client_async_local.cpp websocket_client_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ceaba369859bac4" weblate-flags="read-only">
        <source>WebSocket, asynchronous using __system_executor__</source>
        <target state="translated">WebSocket, asynchronous using __system_executor__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50684af1c415dde4" weblate-flags="read-only">
        <source>[path_link example/websocket/client/async-ssl-system-executor/websocket_client_async_ssl_system_executor.cpp websocket_client_async_ssl_system_executor.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async-ssl-system-executor/websocket_client_async_ssl_system_executor.cpp websocket_client_async_ssl_system_executor.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72" weblate-flags="read-only">
        <source>WebSocket, coroutine</source>
        <target state="translated">WebSocket, coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c6a521f7e12d3c36" weblate-flags="read-only">
        <source>[path_link example/websocket/client/coro/websocket_client_coro.cpp websocket_client_coro.cpp]</source>
        <target state="translated">[path_link example/websocket/client/coro/websocket_client_coro.cpp websocket_client_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="90e547fbebbcbbc3" weblate-flags="read-only">
        <source>[path_link example/websocket/client/coro-ssl/websocket_client_coro_ssl.cpp websocket_client_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/client/coro-ssl/websocket_client_coro_ssl.cpp websocket_client_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="037208ed5218f3f6" weblate-flags="read-only">
        <source>WebSocket, C++20 coroutine</source>
        <target state="translated">WebSocket, C++20 coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7abca7ca06ba5342" weblate-flags="read-only">
        <source>[path_link example/websocket/client/awaitable/websocket_client_awaitable.cpp websocket_client_awaitable.cpp]</source>
        <target state="translated">[path_link example/websocket/client/awaitable/websocket_client_awaitable.cpp websocket_client_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="aaba7e9c0b328fa3" weblate-flags="read-only">
        <source>Servers</source>
        <target state="translated">Servers</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">104</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e9a7ce48ee6fd54" weblate-flags="read-only">
        <source>These HTTP servers deliver files from a root directory specified on the command line. All asynchronous servers support timeouts.</source>
        <target state="translated">These HTTP servers deliver files from a root directory specified on the command line. All asynchronous servers support timeouts.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">106</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109" weblate-flags="read-only">
        <source>HTTP, synchronous</source>
        <target state="translated">HTTP, synchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ba4ccd3976d2d60f" weblate-flags="read-only">
        <source>[path_link example/http/server/sync/http_server_sync.cpp http_server_sync.cpp]</source>
        <target state="translated">[path_link example/http/server/sync/http_server_sync.cpp http_server_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08e33f9a6ddf864f" weblate-flags="read-only">
        <source>[path_link example/http/server/sync-ssl/http_server_sync_ssl.cpp http_server_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/sync-ssl/http_server_sync_ssl.cpp http_server_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109" weblate-flags="read-only">
        <source>HTTP, asynchronous</source>
        <target state="translated">HTTP, asynchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b04b14e5f708077a" weblate-flags="read-only">
        <source>[path_link example/http/server/async/http_server_async.cpp http_server_async.cpp]</source>
        <target state="translated">[path_link example/http/server/async/http_server_async.cpp http_server_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cbb3783c4f237aa7" weblate-flags="read-only">
        <source>[path_link example/http/server/async-ssl/http_server_async_ssl.cpp http_server_async_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/async-ssl/http_server_async_ssl.cpp http_server_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109" weblate-flags="read-only">
        <source>HTTP, asynchronous Unix domain sockets</source>
        <target state="translated">HTTP, asynchronous Unix domain sockets</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="85f0bf43ad02687a" weblate-flags="read-only">
        <source>[path_link example/http/server/async-local/http_server_async_local.cpp http_server_async_local.cpp]</source>
        <target state="translated">[path_link example/http/server/async-local/http_server_async_local.cpp http_server_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109" weblate-flags="read-only">
        <source>HTTP, coroutine</source>
        <target state="translated">HTTP, coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7977031149cf5022" weblate-flags="read-only">
        <source>[path_link example/http/server/coro/http_server_coro.cpp http_server_coro.cpp]</source>
        <target state="translated">[path_link example/http/server/coro/http_server_coro.cpp http_server_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="807de3c3de5e5319" weblate-flags="read-only">
        <source>[path_link example/http/server/coro-ssl/http_server_coro_ssl.cpp http_server_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/coro-ssl/http_server_coro_ssl.cpp http_server_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a57e3c6681293deb" weblate-flags="read-only">
        <source>HTTP, stackless coroutine</source>
        <target state="translated">HTTP, stackless coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="662c18e473ccb7db" weblate-flags="read-only">
        <source>[path_link example/http/server/stackless/http_server_stackless.cpp http_server_stackless.cpp]</source>
        <target state="translated">[path_link example/http/server/stackless/http_server_stackless.cpp http_server_stackless.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f6b26b3e34e4ee2" weblate-flags="read-only">
        <source>[path_link example/http/server/stackless-ssl/http_server_stackless_ssl.cpp http_server_stackless_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/stackless-ssl/http_server_stackless_ssl.cpp http_server_stackless_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1ac0024cdeb7b12b" weblate-flags="read-only">
        <source>HTTP, C++ 20 coroutine</source>
        <target state="translated">HTTP, C++ 20 coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f9c174b78e96e8a1" weblate-flags="read-only">
        <source>[path_link example/http/server/awaitable/http_server_awaitable.cpp http_server_awaitable.cpp]</source>
        <target state="translated">[path_link example/http/server/awaitable/http_server_awaitable.cpp http_server_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4a463de31750a3df" weblate-flags="read-only">
        <source>HTTP, fast (optimized for speed)</source>
        <target state="translated">HTTP, fast (optimized for speed)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="75aa58fc4fd273f4" weblate-flags="read-only">
        <source>[path_link example/http/server/fast/http_server_fast.cpp http_server_fast.cpp]</source>
        <target state="translated">[path_link example/http/server/fast/http_server_fast.cpp http_server_fast.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a7eb9d6a8f15c1b4" weblate-flags="read-only">
        <source>HTTP, small (optimized for space)</source>
        <target state="translated">HTTP, small (optimized for space)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="53951468f55f46f8" weblate-flags="read-only">
        <source>[path_link example/http/server/small/http_server_small.cpp http_server_small.cpp]</source>
        <target state="translated">[path_link example/http/server/small/http_server_small.cpp http_server_small.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b9f86616e3c76845" weblate-flags="read-only">
        <source>HTTP, flex (plain + SSL)</source>
        <target state="translated">HTTP, flex (plain + SSL)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7400eae027c2ed6b" weblate-flags="read-only">
        <source>[path_link example/http/server/flex/http_server_flex.cpp http_server_flex.cpp]</source>
        <target state="translated">[path_link example/http/server/flex/http_server_flex.cpp http_server_flex.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="40e08b7c9060686a" weblate-flags="read-only">
        <source>These WebSocket servers echo back any message received, keeping the session open until the client disconnects. All asynchronous servers support timeouts.</source>
        <target state="translated">These WebSocket servers echo back any message received, keeping the session open until the client disconnects. All asynchronous servers support timeouts.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">148</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152" weblate-flags="read-only">
        <source>WebSocket, synchronous</source>
        <target state="translated">WebSocket, synchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9b92dbe87c802993" weblate-flags="read-only">
        <source>[path_link example/websocket/server/sync/websocket_server_sync.cpp websocket_server_sync.cpp]</source>
        <target state="translated">[path_link example/websocket/server/sync/websocket_server_sync.cpp websocket_server_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50cccea5db7bc6f7" weblate-flags="read-only">
        <source>[path_link example/websocket/server/sync-ssl/websocket_server_sync_ssl.cpp websocket_server_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/sync-ssl/websocket_server_sync_ssl.cpp websocket_server_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152" weblate-flags="read-only">
        <source>WebSocket, asynchronous</source>
        <target state="translated">WebSocket, asynchronous</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="879398cdb606cfc1" weblate-flags="read-only">
        <source>[path_link example/websocket/server/async/websocket_server_async.cpp websocket_server_async.cpp]</source>
        <target state="translated">[path_link example/websocket/server/async/websocket_server_async.cpp websocket_server_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="46e2508892b598b3" weblate-flags="read-only">
        <source>[path_link example/websocket/server/async-ssl/websocket_server_async_ssl.cpp websocket_server_async_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/async-ssl/websocket_server_async_ssl.cpp websocket_server_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152" weblate-flags="read-only">
        <source>WebSocket, asynchronous Unix domain sockets</source>
        <target state="translated">WebSocket, asynchronous Unix domain sockets</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8bd7ac83b0c32ea0" weblate-flags="read-only">
        <source>[path_link example/websocket/server/async-local/websocket_server_async_local.cpp websocket_server_async_local.cpp]</source>
        <target state="translated">[path_link example/websocket/server/async-local/websocket_server_async_local.cpp websocket_server_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152" weblate-flags="read-only">
        <source>WebSocket, coroutine</source>
        <target state="translated">WebSocket, coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="de4ff465956cd979" weblate-flags="read-only">
        <source>[path_link example/websocket/server/coro/websocket_server_coro.cpp websocket_server_coro.cpp]</source>
        <target state="translated">[path_link example/websocket/server/coro/websocket_server_coro.cpp websocket_server_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8b44b76dce1e7a64" weblate-flags="read-only">
        <source>[path_link example/websocket/server/coro-ssl/websocket_server_coro_ssl.cpp websocket_server_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/coro-ssl/websocket_server_coro_ssl.cpp websocket_server_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="515fbd6327a502f8" weblate-flags="read-only">
        <source>WebSocket, stackless coroutine</source>
        <target state="translated">WebSocket, stackless coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eaffebc95dc9d766" weblate-flags="read-only">
        <source>[path_link example/websocket/server/stackless/websocket_server_stackless.cpp websocket_server_stackless.cpp]</source>
        <target state="translated">[path_link example/websocket/server/stackless/websocket_server_stackless.cpp websocket_server_stackless.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="04be1aa6100f61f0" weblate-flags="read-only">
        <source>[path_link example/websocket/server/stackless-ssl/websocket_server_stackless_ssl.cpp websocket_server_stackless_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/stackless-ssl/websocket_server_stackless_ssl.cpp websocket_server_stackless_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f5d603f432cbd739" weblate-flags="read-only">
        <source>WebSocket, C++ 20 coroutine</source>
        <target state="translated">WebSocket, C++ 20 coroutine</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd11dda7226924ed" weblate-flags="read-only">
        <source>[path_link example/websocket/server/awaitable/websocket_server_awaitable.cpp websocket_server_awaitable.cpp]</source>
        <target state="translated">[path_link example/websocket/server/awaitable/websocket_server_awaitable.cpp websocket_server_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08c4def3a0064e2a" weblate-flags="read-only">
        <source>WebSocket, fast (suited for benchmarks)</source>
        <target state="translated">WebSocket, fast (suited for benchmarks)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="de1715bc9f9e337d" weblate-flags="read-only">
        <source>[path_link example/websocket/server/fast/websocket_server_fast.cpp websocket_server_fast.cpp]</source>
        <target state="translated">[path_link example/websocket/server/fast/websocket_server_fast.cpp websocket_server_fast.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7d440d0cdce84997" weblate-flags="read-only">
        <source>Servers (Advanced)</source>
        <target state="translated">Servers (Advanced)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">188</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="03f42088f4221cdd" weblate-flags="read-only">
        <source>These servers offer both HTTP and WebSocket services on the same port, and illustrate the implementation of advanced features.</source>
        <target state="translated">These servers offer both HTTP and WebSocket services on the same port, and illustrate the implementation of advanced features.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">190</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f97927c880adf9d8" weblate-flags="read-only">
        <source>Advanced</source>
        <target state="translated">Advanced</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c5e0ac479855275" weblate-flags="read-only">
        <source>[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4207a1be8228902d" weblate-flags="read-only">
        <source>[path_link example/advanced/server/advanced_server.cpp advanced_server.cpp]</source>
        <target state="translated">[path_link example/advanced/server/advanced_server.cpp advanced_server.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3e6d7b34fbbb5230" weblate-flags="read-only">
        <source>Advanced, flex (plain + SSL)</source>
        <target state="translated">Advanced, flex (plain + SSL)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6e511ff590174e0f" weblate-flags="read-only">
        <source>[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b1d520c6054e3ffb" weblate-flags="read-only">
        <source>[path_link example/advanced/server-flex/advanced_server_flex.cpp advanced_server_flex.cpp]</source>
        <target state="translated">[path_link example/advanced/server-flex/advanced_server_flex.cpp advanced_server_flex.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="be667d3eb9831319" weblate-flags="read-only">
        <source>Advanced, flex (plain + SSL) with awaitable</source>
        <target state="translated">Advanced, flex (plain + SSL) with awaitable</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0f83987664caccc9" weblate-flags="read-only">
        <source>[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] [Usage of cancellation_signals] ]</source>
        <target state="translated">[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] [Usage of cancellation_signals] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="238994e38b52af71" weblate-flags="read-only">
        <source>[path_link example/advanced/server-flex-awaitable/advanced_server_flex_awaitable.cpp advanced_server_flex_awaitable.cpp]</source>
        <target state="translated">[path_link example/advanced/server-flex-awaitable/advanced_server_flex_awaitable.cpp advanced_server_flex_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="95b39f6f2af6faf6" weblate-flags="read-only">
        <source>Chat Server, multi-threaded</source>
        <target state="translated">Chat Server, multi-threaded</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dbcb0e74b2d2a42d" weblate-flags="read-only">
        <source>[itemized_list [Multi-threaded] [Broadcasting Messages] [Multi-user Chat Server] [JavaScript Browser Client] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [Multi-threaded] [Broadcasting Messages] [Multi-user Chat Server] [JavaScript Browser Client] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="193" weblate-flags="read-only">
        <source>[path_link example/websocket/server/chat-multi chat-multi]</source>
        <target state="translated">[path_link example/websocket/server/chat-multi chat-multi]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="83ba114f354ee485" weblate-flags="read-only">
        <source>Chat Server __video__</source>
        <target state="translated">Chat Server __video__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">249</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f22bd3644dd87c1e" weblate-flags="read-only">
        <source>This example demonstrates a websocket chat server, allowing multiple users to connect and participate in live, group messaging. It comes with a tiny front end implemented in JavaScript and HTML5 which runs in any browser. The example is accompanied by a one hour presentation which provides a discussion of networking concepts, followed by in-depth explanation of how the client and server are constructed. This talk was delivered at [@https://cppcon.org CppCon 2018]. The source code in the Beast example contains improvements to the original program.</source>
        <target state="translated">This example demonstrates a websocket chat server, allowing multiple users to connect and participate in live, group messaging. It comes with a tiny front end implemented in JavaScript and HTML5 which runs in any browser. The example is accompanied by a one hour presentation which provides a discussion of networking concepts, followed by in-depth explanation of how the client and server are constructed. This talk was delivered at [@https://cppcon.org CppCon 2018]. The source code in the Beast example contains improvements to the original program.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">251</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="56bf562b0d3c53e3" weblate-flags="read-only">
        <source>Chat WebSocket Server and JavaScript Client</source>
        <target state="translated">Chat WebSocket Server and JavaScript Client</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25c3e74edddbe2ff" weblate-flags="read-only">
        <source>Component</source>
        <target state="translated">Component</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="26fc2962230d3dae" weblate-flags="read-only">
        <source>Features</source>
        <target state="translated">Features</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5e630bbbaf0a5c6b" weblate-flags="read-only">
        <source>Sources</source>
        <target state="translated">Sources</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ab67d385f0764bf5" weblate-flags="read-only">
        <source>Server</source>
        <target state="translated">Server</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3bb8b9b1243aa005" weblate-flags="read-only">
        <source>[itemized_list [C++] [Timeouts] [Multi-threaded] [Broadcast to multiple peers] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [C++] [Timeouts] [Multi-threaded] [Broadcast to multiple peers] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="260" weblate-flags="read-only">
        <source>[path_link example/websocket/server/chat-multi chat-multi]</source>
        <target state="translated">[path_link example/websocket/server/chat-multi chat-multi]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ff5102bf39930022" weblate-flags="read-only">
        <source>Client</source>
        <target state="translated">Client</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e9cb54ea1b1d7b2a" weblate-flags="read-only">
        <source>[itemized_list [JavaScript / HTML5] [Runs in the browser] [Delivered by the server] [Only 60 lines total including UI] [Completely portable graphics] ]</source>
        <target state="translated">[itemized_list [JavaScript / HTML5] [Runs in the browser] [Delivered by the server] [Only 60 lines total including UI] [Completely portable graphics] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60c60970a9cce2e5" weblate-flags="read-only">
        <source>[path_link example/websocket/server/chat-multi/chat_client.html chat_client.html]</source>
        <target state="translated">[path_link example/websocket/server/chat-multi/chat_client.html chat_client.html]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
    </body>
  </file>
</xliff>
